# QStyleOptionMenuItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionMenuItem()
- void QStyleOptionMenuItem(QStyleOptionMenuItem other)

### Constructor Properties

- prototype: The QStyleOptionMenuItem prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_MenuItem
- StyleOptionType( value )
- NotCheckable
- Exclusive
- NonExclusive
- CheckType( value )
- Normal
- DefaultItem
- Separator
- SubMenu
- Scroller
- TearOff
- Margin
- EmptyArea
- MenuItemType( value )

### Instance Properties

QStyleOptionMenuItem objects have no special properties beyond those inherited from the QStyleOptionMenuItem prototype object.